Skip to main content
GET
/
abdm
/
v2
/
profile
/
share
/
{request_id}
cURL
curl --request GET \
  --url https://api.eka.care/abdm/v2/profile/share/{request_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.eka.care/abdm/v2/profile/share/{request_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.eka.care/abdm/v2/profile/share/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "expiry": "2023-11-07T05:31:56Z",
  "request_id": "<string>",
  "token_number": "<string>"
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Path Parameters

request_id
string
required

request id received from the POST /abdm/v2/profile/share API

Response

OK

expiry
null | string<date-time>

Expiry time for the token

Example:

"2025-07-25T18:36:20+05:30"

request_id
string

Request ID to track the status

status
enum<string>
Available options:
success,
processing,
failed
token_number
string

Token number for the scan and share